# Spice.ai v0.6.1-alpha

Announcing the release of Spice.ai v0.6.1-alpha! 🌶

Building upon the [Apache Arrow support in v0.6-alpha](https://blog.spiceai.org/posts/2022/02/08/announcing-the-release-of-spice.ai-v0.6-alpha/), Spice.ai now includes new [Apache Arrow data processor](https://github.com/spiceai/data-components-contrib/tree/trunk/dataprocessors/arrow#readme) and [Apache Arrow Flight data connector](https://github.com/spiceai/data-components-contrib/tree/trunk/dataconnectors/flight#readme) components! Together, these create a high-performance bulk-data transport directly into the Spice.ai ML engine. Coupled with big data systems from the [Apache Arrow](https://arrow.apache.org/) ecosystem like Hive, Drill, Spark, Snowflake, and BigQuery, it's now easier than ever to combine big data with Spice.ai.

And we're also excited to announce the release of [Spice.xyz](https://spice.xyz)! 🎉

[Spice.xyz](https://spice.xyz) is data and AI infrastructure for web3. It’s web3 data made easy. Insanely fast and purpose designed for applications and ML.

Spice.xyz delivers data in [Apache Arrow](https://arrow.apache.org/) format, over high-performance [Apache Arrow Flight APIs](https://arrow.apache.org/blog/2019/10/13/introducing-arrow-flight/) to your application, notebook, ML pipeline, and of course through these new data components, to the Spice.ai runtime.

Read the announcement post at [blog.spice.ai](https://medium.com/spice-ai/announcing-spice-xyz-94323159cd2b).

<div style="display: flex; justify-content: center; padding: 5px;">
  <div style="display: flex; flex-direction: column;">
    <img style="max-width: 400px;" width="400" src="https://miro.medium.com/max/1400/1*-SXXeycmH0haRsG3Wv3u6w.png" />
  </div>
</div>

## New in this release

- **Adds** [Apache Arrow Data Processor](https://github.com/spiceai/data-components-contrib/tree/trunk/dataprocessors/arrow#readme)
- **Adds** [Apache Arrow Flight Data Connector](https://github.com/spiceai/data-components-contrib/tree/trunk/dataconnectors/flight#readme)

Now built with [Go 1.18](https://go.dev/blog/go1.18).

### Dependency updates

- **Updates** to React 18
- **Updates** to CRA 5
- **Updates** to Glide DataGrid 4
- **Updates** to SWR 1.2
- **Updates** to TypeScript 4.6
